Get all resident payments
https://api.propexo.com/v1/resident-payments/The Resident Payments model provides a limited, one-sided view of a resident's financial history with a PMC and should not be treated as a comprehensive report of all payments that the resident has made. Due to the PMS API structure, this is a naturally high-volume endpoint. Since Propexo pricing is based on records returned, this may result in signficantly higher overall costs. We encourage you to reach out to support before activating.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The Propexo unique identifier for the property
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
The Propexo unique identifier for the resident
The Propexo unique identifier for the lease
The start of the transaction date range to search. Inclusive.
The end of the transaction date range to search. Inclusive.
Response
Successful response
- Array [
- ]
- Array [
- Array [
- ]
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the resident payment
The date record first entered Propexo
The date record was last updated in Propexo
The date the record was last seen from the PMS
The external ID from the integration vendor
The external ID of the property from the integration vendor
The external ID of the general ledger account from the integration vendor
The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The external ID of the lease from the integration vendor
The external ID of the resident from the integration vendor
The external ID of the unit from the integration vendor
The external ID of the charge code from the integration vendor
The normalized method of payment for the resident payment
The raw method of payment for the resident payment
The amount of the resident payment, in cents
100000The raw value for amount from the PMS
The name associated with the resident payment
Description of the resident payment
The reference number for the resident payment
The transaction date of the resident payment
Whether the resident payment is open and not yet settled
The post month for the resident payment
Possible values: Value must match regular expression ^\d{4}-(?:0[1-9]|1[0-2])$
custom_data object | nullrequired
The Propexo unique identifier for the integration
The property management system of record
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe Propexo unique identifier for the property
The Propexo unique identifier for the resident
The Propexo unique identifier for the financial account
The Propexo unique identifier for the unit
The Propexo unique identifier for the lease
The Propexo unique identifier for the charge code
allocations object[]required
The Propexo unique identifier for the resident allocation
The external ID from the integration vendor
The external ID of the source transaction from the integration vendor
The external ID of the destination transaction from the integration vendor
The Propexo unique identifier for the financial account
The amount of the resident allocation, in cents
100000The raw value for amount from the PMS
The Propexo unique identifier for the resident charge
The Propexo unique identifier for the resident payment
The date record first entered Propexo
The date record was last updated in Propexo
The date the record was last seen from the PMS
custom_data object | nullrequired
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/resident-payments/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_gl_account_id": "string",
"x_location_id": "string",
"x_lease_id": "string",
"x_resident_id": "string",
"x_unit_id": "string",
"x_charge_code_id": "string",
"payment_method_normalized": "string",
"payment_method_raw": "string",
"amount_in_cents": 100000,
"amount_raw": "string",
"name": "string",
"description": "string",
"reference_number": "string",
"transaction_date": "string",
"is_open": true,
"post_month": "string",
"custom_data": "Unknown Type: object,null",
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"property_id": "string",
"resident_id": "string",
"financial_account_id": "string",
"unit_id": "string",
"lease_id": "string",
"charge_code_id": "string",
"allocations": [
{
"id": "string",
"x_id": "string",
"x_source_id": "string",
"x_destination_id": "string",
"financial_account_id": "string",
"amount_in_cents": 100000,
"amount_raw": "string",
"resident_charge_id": "string",
"resident_payment_id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"custom_data": "Unknown Type: object,null"
}
]
}
]
}